[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: upcoming oldstable/stable kernel updates



On Monday 30 April 2007 23:44, dann frazier wrote:
>   Just a note that the next 2.6.8 kernel update for sarge includes an
> ABI change. 2.4.27 updates are coming, but I do not believe the 2.4
> ABI will change.

/me curses, but not very loudly

Ah, well. What's another D-I release...
I really hope that 2.4 ABI will remain unchanged as we can then probably 
only rebuild the 2.6.8 kernel udebs, which I can massbuild myself. 
Rebuilding 2.4 would require individual builds by porters.

Is the nature of the 2.4 security issues such that we can get away with 
not rebuilding it or are the so severe that we should?

>  A security update for etch is also about to release - it includes no
> ABI change. However, the plan is to include a few ABI changing patches
> in the first point s-p-u update. Its unclear when an s-p-u upload will
> happen - I'm working with aba to organize this.

Yes, I was expecting that some time ago to be honest...

For both, just let me (the list) know when the kernel packages are 
available in (sarge-)p-u and I'll do the necessary changes for D-I.
I _will_ need some time for uploads and builds, so the SRMs should not 
count on being able to release quickly after the kernel packages are 
available.

With these changes I'd like to also consider the following changes for 
D-I:
- rebuild of choose-mirror for both sarge and etch to get latest mirror
  data
- add support "oldstable" as suite in choose-mirror for sarge
- backport the "resize ext3 partitions" support from trunk to etch

Eventually I'd also like to ensure "oldstable lenny" support, but there's 
no real rush for that (yet :-)

Comments?

Cheers,
FJP

Attachment: pgphyGQ_rImIe.pgp
Description: PGP signature


Reply to: